Pulse
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
GET | |
POST |
List all pulse brief configs
Required API key scopes
project:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /pulse /brief_configsExample response
Status 200
RESPONSE
Create pulse brief configs
Required API key scopes
project:writeRequest parameters
- namestring
- focus_promptstring
- anchors
- settings
- enabledboolean
- deletedboolean
Response
Example request
POST /api /projects /:project_id /pulse /brief_configsExample response
Status 201
RESPONSE
Retrieve pulse brief configs
Required API key scopes
project:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /pulse /brief_configs /:idExample response
Status 200
RESPONSE
Update pulse brief configs
Required API key scopes
project:writePath parameters
- idstring
Request parameters
- namestring
- focus_promptstring
- anchors
- settings
- enabledboolean
- deletedboolean
Response
Example request
PATCH /api /projects /:project_id /pulse /brief_configs /:idExample response
Status 200
RESPONSE
Delete pulse brief configs
Required API key scopes
project:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /pulse /brief_configs /:idExample response
Status 204 No response body
List all pulse briefs
Required API key scopes
project:readannotation:readsubscription:readalert:readinsight:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /pulse /briefsExample response
Status 200
RESPONSE
Retrieve pulse briefs
Required API key scopes
project:readannotation:readsubscription:readalert:readinsight:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /pulse /briefs /:idExample response
Status 200
RESPONSE
Create pulse briefs generate
Required API key scopes
project:writeannotation:readsubscription:readalert:readinsight:readRequest parameters
- config_idstring | null
- period
Response
Example request
POST /api /projects /:project_id /pulse /briefs /generateExample response
Status 201
RESPONSE